package com.lutao.cloud.iot.mqtt.core.server.http.api.form;

/**
 * 发布的模型
 *

 */
public class PublishForm extends BaseForm {

	/**
	 * 消息正文
	 */
	private String payload;
	/**
	 * 消息正文使用的编码方式，目前仅支持 plain 与 base64 两种
	 */
	private String encoding;
	/**
	 * QoS 等级 0
	 */
	private int qos = 0;
	/**
	 * 是否为保留消息
	 */
	private boolean retain = false;

	public String getPayload() {
		return payload;
	}

	public void setPayload(String payload) {
		this.payload = payload;
	}

	public String getEncoding() {
		return encoding;
	}

	public void setEncoding(String encoding) {
		this.encoding = encoding;
	}

	public int getQos() {
		return qos;
	}

	public void setQos(int qos) {
		this.qos = qos;
	}

	public boolean isRetain() {
		return retain;
	}

	public void setRetain(boolean retain) {
		this.retain = retain;
	}
}
